#!/bin/sh
#
#  Tests for the Debian libjpeg packages. To use, simply run this script from
#  the shell prompt. If successful, it will say so, otherwise it
#  will state which file was not created correctly.


PATH=/usr/bin:/bin
SRCDIR=/usr/share/doc/libjpeg-progs/tests
TESTDIR=`tempfile`

rm $TESTDIR
cp -r $SRCDIR $TESTDIR
gunzip $TESTDIR/*.gz
uudecode -o $TESTDIR/testimg.gif $TESTDIR/testimg.uu

djpeg -dct int -ppm -outfile $TESTDIR/testout.ppm  $TESTDIR/testorig.jpg
djpeg -dct int -gif -outfile $TESTDIR/testout.gif  $TESTDIR/testorig.jpg
cjpeg -dct int -outfile $TESTDIR/testout.jpg  $TESTDIR/testimg.ppm
djpeg -dct int -ppm -outfile $TESTDIR/testoutp.ppm $TESTDIR/testprog.jpg
cjpeg -dct int -progressive -opt -outfile $TESTDIR/testoutp.jpg $TESTDIR/testimg.ppm
jpegtran -outfile $TESTDIR/testoutt.jpg $TESTDIR/testprog.jpg
cmp $TESTDIR/testimg.ppm $TESTDIR/testout.ppm || exit 1
cmp $TESTDIR/testimg.gif $TESTDIR/testout.gif || exit 1
cmp $TESTDIR/testimg.jpg $TESTDIR/testout.jpg || exit 1
cmp $TESTDIR/testimg.ppm $TESTDIR/testoutp.ppm || exit 1
cmp $TESTDIR/testimgp.jpg $TESTDIR/testoutp.jpg || exit 1
cmp $TESTDIR/testorig.jpg $TESTDIR/testoutt.jpg || exit 1
echo "The test was successful"
rm -rf $TESTDIR
